#! /bin/sh

AnthyDir=${0%/*}
DestDir=/boot/home/config/add-ons/input_server/methods

# Anthy のインストール

mkdir $DestDir
ln -s -f $AnthyDir/Anthy $DestDir

# Lib Anthy のインストール

$AnthyDir/LibAnthy/InstallLibAnthy.sh

# 学習情報の削除

alert "学習情報を削除しますか？　　　　　　　　　　　　※漢字変換するたびに input server が強制終了するようになってしまった場合は削除してください。" "いいえ" "はい"
Result=$?

if [ $Result -eq 1 ]
then
	rm -r /boot/home/config/settings/SHINTA/LibAnthy/.anthy
fi

# input server 再起動

alert "input server を再起動しますか？　　　　　　　　　※再起動中はマウスやキーボードに触れないで下さい。" "いいえ" "はい"
Result=$?

if [ $Result -eq 1 ]
then
	kill -KILL input_server
	sleep 3
fi

# Deskbar 再起動

alert "Deskbar を再起動しますか？" "いいえ" "はい"
Result=$?

if [ $Result -eq 1 ]
then
	kill -KILL Deskbar
fi

